[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'keyboard' (#rtl)

# TranslateKeyEvent

Translate raw event to ascii key event

## Declaration

Source position: keybrdh.inc line 157

`function TranslateKeyEvent(`
`KeyEvent: TKeyEvent`
`):TKeyEvent;`

## Description

TranslateKeyEvent performs ASCII translation of the KeyEvent. It translates a physical key to a function key if the key is a function key, and translates the physical key to the ordinal of the ascii character if there is an equivalent character key.

For an example, see GetKeyEvent

## Errors

None.

## See also

TranslateKeyEventUniCode |  | Translate raw event to UNICode key event

Documentation generated on: Feb 26 2014